Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 327425

Summary: sci-mathematics/nusmv-2.5.0 fails to compile
Product: Gentoo Linux Reporter: Christopher Head <bugs>
Component: Current packagesAssignee: Gentoo Science Mathematics related packages <sci-mathematics>
Status: VERIFIED FIXED    
Severity: normal CC: phajdan.jr
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Christopher Head 2010-07-08 03:43:51 UTC
When emerging nusmv-2.5.0, for some reason the package overrides CFLAGS to force "-mcpu=pentium4" despite any attempts to set otherwise from outside; this of course promptly blows up with the message "error: CPU you selected does not support x86-64 instruction set". This happens whether my global CFLAGS contain only -march=core2, or whether I also add -mcpu=core2 as well.

Reproducible: Always

Steps to Reproduce:
Comment 1 PaweĊ‚ Hajdan, Jr. (RETIRED) gentoo-dev 2010-07-13 02:22:56 UTC
Fixed in CVS. Please re-open if there are still problems. Thanks for reporting!